Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/physiq_mod.F90	(revision 5117)
@@ -40,6 +40,6 @@
     USE indice_sol_mod
     USE infotrac_phy, ONLY: nqtot, nbtr, nqo, tracers, type_trac,ivap,iliq,isol
-    USE readTracFiles_mod, ONLY: addPhase
-    USE strings_mod,  ONLY: strIdx
+    USE lmdz_readTracFiles, ONLY: addPhase
+    USE lmdz_strings,  ONLY: strIdx
     USE iophy
     USE limit_read_mod, ONLY: init_limit_read
@@ -74,7 +74,7 @@
     USE tropopause_m,     ONLY: dyn_tropopause
     USE ice_sursat_mod,  ONLY: flight_init, airplane
-    USE vampir
+    USE lmdz_vampir
     USE lmdz_write_field_phy
-    USE wxios, ONLY: g_ctx, wxios_set_context
+    USE lmdz_wxios, ONLY: g_ctx, wxios_set_context
     USE lmdz_lscp, ONLY: lscp
     USE lmdz_call_cloud_optics_prop, ONLY: call_cloud_optics_prop
@@ -103,5 +103,5 @@
     USE lmdz_xios, ONLY: xios_update_calendar, xios_context_finalize, xios_get_field_attr, &
             xios_field_is_active, xios_context, xios_set_current_context
-    USE wxios, ONLY: missing_val, using_xios
+    USE lmdz_wxios, ONLY: missing_val, using_xios
     USE paramLMDZ_phy_mod
 
@@ -465,5 +465,5 @@
     !! d_ps----output-R-tendance physique de la pression au sol
     !!======================================================================
-    integer jjmp1
+    INTEGER jjmp1
     !  parameter (jjmp1=jjm+1-1/jjm) ! => (jjmp1=nbp_lat-1/(nbp_lat-1))
     !  integer iip1
@@ -547,5 +547,5 @@
     
     
-    real facteur
+    REAL facteur
 
     REAL wmax_th(klon)
@@ -589,5 +589,5 @@
     REAL v(klon,klev)
 
-    REAL, intent(in):: rot(klon, klev)
+    REAL, INTENT(IN):: rot(klon, klev)
     ! relative vorticity, in s-1, needed for frontal waves
 
@@ -678,5 +678,5 @@
     INTEGER igwd,idx(klon),itest(klon)
 
-    !      REAL,allocatable,save :: run_off_lic_0(:)
+    !      REAL,ALLOCATABLE,save :: run_off_lic_0(:)
     !$OMP THREADPRIVATE(run_off_lic_0)
     !ym      SAVE run_off_lic_0
@@ -815,10 +815,10 @@
     ! continument (pcon dans
     ! thermcell_main.F90)
-    real fraca0(klon)           ! Fraction des thermiques au LCL
-    real w0(klon)               ! Vitesse des thermiques au LCL
-    real w_conv(klon)           ! Vitesse verticale de grande \'echelle au LCL
-    real tke0(klon,klev+1)      ! TKE au d\'ebut du pas de temps
-    real therm_tke_max0(klon)   ! TKE dans les thermiques au LCL 
-    real env_tke_max0(klon)     ! TKE dans l'environnement au LCL 
+    REAL fraca0(klon)           ! Fraction des thermiques au LCL
+    REAL w0(klon)               ! Vitesse des thermiques au LCL
+    REAL w_conv(klon)           ! Vitesse verticale de grande \'echelle au LCL
+    REAL tke0(klon,klev+1)      ! TKE au d\'ebut du pas de temps
+    REAL therm_tke_max0(klon)   ! TKE dans les thermiques au LCL
+    REAL env_tke_max0(klon)     ! TKE dans l'environnement au LCL
     INTEGER, SAVE :: iflag_thermcell_tke ! transtport TKE by thermals
     !$OMP THREADPRIVATE(iflag_thermcell_tke)
@@ -832,6 +832,6 @@
     !--------Statistical Boundary Layer Closure: ALP_BL--------
     !---Profils de TKE dans et hors du thermique
-    real therm_tke_max(klon,klev)   ! Profil de TKE dans les thermiques
-    real env_tke_max(klon,klev)     ! Profil de TKE dans l'environnement
+    REAL therm_tke_max(klon,klev)   ! Profil de TKE dans les thermiques
+    REAL env_tke_max(klon,klev)     ! Profil de TKE dans l'environnement
 
     !-------Activer les tendances de TKE due a l'orograp??ie---------
@@ -892,7 +892,7 @@
     SAVE lmt_pas                ! frequence de mise a jour
     !$OMP THREADPRIVATE(lmt_pas) 
-    real zmasse(klon, nbp_lev),exner(klon, nbp_lev) 
+    REAL zmasse(klon, nbp_lev),exner(klon, nbp_lev)
     !     (column-density of mass of air in a cell, in kg m-2)
-    real, parameter:: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
+    REAL, parameter:: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
 
     !IM sorties
@@ -947,5 +947,5 @@
     REAL zxfluxv(klon, klev)
 #ifdef ISO
-    real fluxxt(ntraciso,klon,klev, nbsrf)
+    REAL fluxxt(ntraciso,klon,klev, nbsrf)
     REAL zxfluxxt(ntraciso,klon, klev)
 #endif
@@ -976,13 +976,13 @@
     REAL za
     REAL zx_t, zx_qs, zdelta, zcor
-    real zqsat(klon,klev)
+    REAL zqsat(klon,klev)
 
     INTEGER i, k, iq, nsrf, l, itr
 #ifdef ISO
-    real zxt_apres(ntraciso,klon)
+    REAL zxt_apres(ntraciso,klon)
     REAL xt_iso(klon,klev),xtl_iso(klon,klev)
     REAL zxt_factor(ntraciso,klon),zxt_avant(ntraciso,klon)
     INTEGER ixt
-    real wake_deltaq_prec(klon,klev)  
+    REAL wake_deltaq_prec(klon,klev)
 #endif
 
@@ -1038,10 +1038,10 @@
 
     ! tendance nulles
-    REAL, dimension(klon,klev):: du0, dv0, dt0, dq0, dql0, dqi0, dqbs0
-#ifdef ISO
-    REAL, dimension(ntraciso,klon,klev):: dxt0, dxtl0, dxti0
-#endif
-    REAL, dimension(klon)     :: dsig0, ddens0
-    INTEGER, dimension(klon)  :: wkoccur1
+    REAL, DIMENSION(klon,klev):: du0, dv0, dt0, dq0, dql0, dqi0, dqbs0
+#ifdef ISO
+    REAL, DIMENSION(ntraciso,klon,klev):: dxt0, dxtl0, dxti0
+#endif
+    REAL, DIMENSION(klon)     :: dsig0, ddens0
+    INTEGER, DIMENSION(klon)  :: wkoccur1
     ! tendance buffer pour appel de add_phys_tend
     REAL, DIMENSION(klon,klev)  :: d_q_ch4_dtime
@@ -1099,5 +1099,5 @@
     INTEGER, SAVE :: iflag_cld_th
     !$OMP THREADPRIVATE(iflag_cld_th)
-!IM logical ptconv(klon,klev)  !passe dans phys_local_var_mod
+!IM LOGICAL ptconv(klon,klev)  !passe dans phys_local_var_mod
     !IM cf. AM 081204 BEG
     LOGICAL ptconvth(klon,klev)
@@ -1213,5 +1213,5 @@
 
     ! Parameters
-    LOGICAL ok_ade, ok_aie    ! Apply aerosol (in)direct effects or not
+    LOGICAL ok_ade, ok_aie    ! Apply aerosol (IN)direct effects or not
     LOGICAL ok_alw            ! Apply aerosol LW effect or not
     LOGICAL ok_cdnc ! ok cloud droplet number concentration (O. Boucher 01-2013)
@@ -1298,5 +1298,5 @@
     INTEGER, ALLOCATABLE, SAVE :: iGCM(:), jGCM(:)
     !$OMP THREADPRIVATE(iGCM, jGCM)
-    logical, dimension(nfiles)            :: phys_out_filestations
+    logical, DIMENSION(nfiles)            :: phys_out_filestations
     logical, parameter :: lNMC=.FALSE.
 
@@ -1308,17 +1308,17 @@
     LOGICAL, SAVE :: mskocean_beta
     !$OMP THREADPRIVATE(mskocean_beta)
-    REAL, dimension(klon, klev) :: beta ! facteur sur cldtaurad et
+    REAL, DIMENSION(klon, klev) :: beta ! facteur sur cldtaurad et
     ! cldemirad pour evaluer les
     ! retros liees aux CRF
-    REAL, dimension(klon, klev) :: cldtaurad   ! epaisseur optique
+    REAL, DIMENSION(klon, klev) :: cldtaurad   ! epaisseur optique
     ! pour radlwsw pour
     ! tester "CRF off"
-    REAL, dimension(klon, klev) :: cldtaupirad ! epaisseur optique
+    REAL, DIMENSION(klon, klev) :: cldtaupirad ! epaisseur optique
     ! pour radlwsw pour
     ! tester "CRF off"
-    REAL, dimension(klon, klev) :: cldemirad   ! emissivite pour
+    REAL, DIMENSION(klon, klev) :: cldemirad   ! emissivite pour
     ! radlwsw pour tester
     ! "CRF off"
-    REAL, dimension(klon, klev) :: cldfrarad   ! fraction nuageuse
+    REAL, DIMENSION(klon, klev) :: cldfrarad   ! fraction nuageuse
 
     REAL :: calday, zxsnow_dummy(klon)
@@ -1335,9 +1335,9 @@
 
     INTEGER :: nbtr_tmp ! Number of tracer inside concvl
-    REAL, dimension(klon,klev) :: sh_in ! Specific humidity entering in phytrac
-    REAL, dimension(klon,klev) :: ch_in ! Condensed humidity entering in phytrac (eau liquide)
-    integer iostat
-
-    REAL, dimension(klon,klev+1) :: l_mix_ave, wprime_ave
+    REAL, DIMENSION(klon,klev) :: sh_in ! Specific humidity entering in phytrac
+    REAL, DIMENSION(klon,klev) :: ch_in ! Condensed humidity entering in phytrac (eau liquide)
+    INTEGER iostat
+
+    REAL, DIMENSION(klon,klev+1) :: l_mix_ave, wprime_ave
     REAL zzz
     !albedo SB >>>
@@ -1350,5 +1350,5 @@
     REAL qql1(klon),qql2(klon),corrqql
 #ifdef ISO
-    real xtql1(ntraciso,klon),xtql2(ntraciso,klon),corrxtql(ntraciso)
+    REAL xtql1(ntraciso,klon),xtql2(ntraciso,klon),corrxtql(ntraciso)
 #endif
 
@@ -1356,11 +1356,11 @@
     LOGICAL, PARAMETER :: ok_conserv_d_q_con=.FALSE.
 
-    REAL, dimension(klon,klev) :: t_env,q_env
-#ifdef ISO
-    real, dimension(ntraciso,klon,klev) ::  xt_env
-#endif
-
-    REAL, dimension(klon) :: pr_et
-    REAL, dimension(klon) :: w_et, jlr_g_c, jlr_g_s
+    REAL, DIMENSION(klon,klev) :: t_env,q_env
+#ifdef ISO
+    REAL, DIMENSION(ntraciso,klon,klev) ::  xt_env
+#endif
+
+    REAL, DIMENSION(klon) :: pr_et
+    REAL, DIMENSION(klon) :: w_et, jlr_g_c, jlr_g_s
 
     REAL pi
@@ -1376,9 +1376,9 @@
     ! 14 mai 2023                                                          !
     !======================================================================!
-    if (debut) then                                                        !
+    IF (debut) then                                                        !
        iflag_physiq=0
        CALL getin_p('iflag_physiq', iflag_physiq)                          !
     endif                                                                  !
-    if ( iflag_physiq == 2 ) THEN
+    IF ( iflag_physiq == 2 ) THEN
 #ifdef ISO
        abort_message='isotopes pas encore dans physiqex'
@@ -1501,5 +1501,5 @@
 
        !CR: check sur le nb de traceurs de l eau
-       IF ((iflag_ice_thermo>0).and.(nqo==2)) THEN
+       IF ((iflag_ice_thermo>0).AND.(nqo==2)) THEN
           WRITE (lunout, *) ' iflag_ice_thermo==1 requires 3 H2O tracers ', &
                '(H2O_g, H2O_l, H2O_s) but nqo=', nqo, '. Might as well stop here.'
@@ -1757,5 +1757,5 @@
            WRITE(*,*) 'ok_isotopes=',niso > 0
 #endif
-        if (niso > 0) CALL iso_init()
+        IF (niso > 0) CALL iso_init()
 #ifdef ISOTRAC
 IF(nzone > 0) THEN
@@ -1921,5 +1921,5 @@
       IF (.NOT. create_etat0_limit) CALL init_readaerosolstrato(flag_aerosol_strat)  !! initialise aero strato from file for XIOS interpolation (unstructured_grid)
 
-      if (ok_cosp) THEN
+      IF (ok_cosp) THEN
 #ifdef CPP_COSP
         ! A.I : Initialisations pour le 1er passage a Cosp
@@ -2137,5 +2137,5 @@
                "On va utiliser le melange convectif des traceurs qui"
           WRITE(lunout,*)"est calcule dans convect4.3"
-          WRITE(lunout,*)" !!! penser aux logical flags de phytrac"
+          WRITE(lunout,*)" !!! penser aux LOGICAL flags de phytrac"
 
           DO i = 1, klon
@@ -2324,5 +2324,5 @@
                cell_area, ind_cell_glo) 
 
-          if (grid_type==unstructured) THEN 
+          IF (grid_type==unstructured) THEN
              CALL chemini(  pplay, &
                   nbp_lon, nbp_lat, &
@@ -2483,5 +2483,5 @@
     itap   = itap + 1
     IF (is_master .OR. prt_level > 9) THEN
-      IF (prt_level > 5 .or. MOD(itap,5) == 0) THEN
+      IF (prt_level > 5 .OR. MOD(itap,5) == 0) THEN
          WRITE(LUNOUT,*)'Entering physics elapsed seconds since start ', current_time
          WRITE(LUNOUT,100)year_cur,mth_cur,day_cur,hour/3600.
@@ -2610,9 +2610,9 @@
       WRITE(*,*) 'physiq tmp 1762a: ixt,iqiso_vap=',ixt,iqIsoPha(ixt,ivap)
       WRITE(*,*) 'physiq tmp 1762b: ixt,iqiso_liq=',ixt,iqIsoPha(ixt,iliq)
-      if (nqo.eq.3) THEN
+      IF (nqo.EQ.3) THEN
         WRITE(*,*) 'physiq tmp 1762c: ixt,iqiso_liq=',ixt,iqIsoPha(ixt,iliq)
-      endif !if (nqo.eq.3) THEN
-#endif
-      if (ixt.gt.niso) WRITE(*,*) 'izone=',tracers(iqIsoPha(ixt,ivap))%iso_iZone
+      endif !if (nqo.EQ.3) THEN
+#endif
+      IF (ixt.gt.niso) WRITE(*,*) 'izone=',tracers(iqIsoPha(ixt,ivap))%iso_iZone
       DO k = 1, klev
        DO i = 1, klon
@@ -2620,7 +2620,7 @@
           xt_seri(ixt,i,k)  = qx(i,k,iqIsoPha(ixt,ivap))
           xtl_seri(ixt,i,k) = qx(i,k,iqIsoPha(ixt,iliq))
-          if (nqo.eq.2) THEN
+          IF (nqo.EQ.2) THEN
              xts_seri(ixt,i,k) = 0.
-          else if (nqo.eq.3) THEN
+          ELSE IF (nqo.EQ.3) THEN
              xts_seri(ixt,i,k) = qx(i,k,iqIsoPha(ixt,isol))
           endif
@@ -2706,12 +2706,12 @@
     ! Diagnostiquer la tendance dynamique
 #ifdef ISOVERIF
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+      IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
         do i=1,klon 
          do k=1,klev 
-            if (q_seri(i,k).gt.ridicule) THEN
-               if (iso_verif_o18_aberrant_nostop( &
+            IF (q_seri(i,k).gt.ridicule) THEN
+               IF (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 2099 qv').eq.1) THEN
+                    'physiq 2099 qv').EQ.1) THEN
                   WRITE(*,*) 'physic 2444: i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   WRITE(*,*) 'xt_seri(:,i,k)=',xt_seri(:,i,k)
@@ -2719,18 +2719,18 @@
               endif !  if (iso_verif_o18_aberrant_nostop 
             endif !if (q_seri(i,k).gt.errmax) THEN
-            if (ql_seri(i,k).gt.ridicule) THEN
-               if (iso_verif_o18_aberrant_nostop( &
+            IF (ql_seri(i,k).gt.ridicule) THEN
+               IF (iso_verif_o18_aberrant_nostop( &
                     xtl_seri(iso_HDO,i,k)/ql_seri(i,k), &
                     xtl_seri(iso_O18,i,k)/ql_seri(i,k), &
-                    'physiq 2099 ql').eq.1) THEN
+                    'physiq 2099 ql').EQ.1) THEN
                   WRITE(*,*) 'i,k,ql_seri(i,k)=',i,k,ql_seri(i,k)
                   !stop
               endif !  if (iso_verif_o18_aberrant_nostop 
             endif !if (q_seri(i,k).gt.errmax) THEN
-            if (qs_seri(i,k).gt.ridicule) THEN
-               if (iso_verif_o18_aberrant_nostop( &
+            IF (qs_seri(i,k).gt.ridicule) THEN
+               IF (iso_verif_o18_aberrant_nostop( &
                     xts_seri(iso_HDO,i,k)/qs_seri(i,k), &
                     xts_seri(iso_O18,i,k)/qs_seri(i,k), &
-                    'physiq 2099 qs').eq.1) THEN
+                    'physiq 2099 qs').EQ.1) THEN
                   WRITE(*,*) 'i,k,qs_seri(i,k)=',i,k,qs_seri(i,k)
                   !stop
@@ -2739,5 +2739,5 @@
           enddo !k=1,klev
          enddo  !i=1,klon
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+        endif !if ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC  
          DO k = 1, klev
@@ -2806,5 +2806,5 @@
 #endif    
 #ifdef ISOVERIF      
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
          DO k = 1, klev
          DO i = 1, klon   
@@ -2822,8 +2822,8 @@
          enddo   
          endif 
-         if (iso_HDO.gt.0) THEN
+         IF (iso_HDO.gt.0) THEN
             DO k = 1, klev
              DO i = 1, klon
-              if (q_seri(i,k).gt.3e-3) THEN
+              IF (q_seri(i,k).gt.3e-3) THEN
               CALL iso_verif_positif(deltaD(xt_seri(iso_HDO,i,k) &
                  /q_seri(i,k))+400.0,'physiq 2045a')
@@ -3023,5 +3023,5 @@
            'reevap 2417: apres evap tot')
       enddo
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix( &
                  xt_seri(iso_eau,i,k),q_seri(i,k), &
@@ -3034,15 +3034,15 @@
                 'reevap 2209b, après réévap totale',errmax,errmaxrel)
        endif !if (iso_eau.gt.0) THEN
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
-            if (q_seri(i,k).gt.ridicule) THEN
-               if (iso_verif_o18_aberrant_nostop( &
+      IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
+            IF (q_seri(i,k).gt.ridicule) THEN
+               IF (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'reevap 2408: apres reevap totale').eq.1) THEN
+                    'reevap 2408: apres reevap totale').EQ.1) THEN
                   WRITE(*,*) 'i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   stop
               endif !  if (iso_verif_o18_aberrant_nostop
             endif !if (q_seri(i,k).gt.errmax) THEN
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+        endif !if ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC      
              CALL iso_verif_traceur(xt_seri(1,i,k), &
@@ -3189,5 +3189,5 @@
 ! A detruire en 2024 une fois les tests documentes et les choix faits        !
 ! Conservation des variables avant l'appel à l a diffusion pour les tehrmic  !
-    if (iflag_thermals_tenv / 10 == 1 ) then                                 !
+    IF (iflag_thermals_tenv / 10 == 1 ) then                                 !
         do k=1,klev                                                          !
            do i=1,klon                                                       !
@@ -3201,5 +3201,5 @@
            enddo                                                             !
         enddo                                                                !
-    else if (iflag_thermals_tenv / 10 == 2 ) then                            !
+    ELSE IF (iflag_thermals_tenv / 10 == 2 ) then                            !
         do k=1,klev                                                          !
            do i=1,klon                                                       !
@@ -3214,6 +3214,6 @@
 
        !jyg+nrlmd<
-!!jyg       IF (prt_level .ge. 2 .and. mod(iflag_pbl_split,2) .eq. 1) THEN
-       IF (prt_level >= 2 .and. mod(iflag_pbl_split,10) >= 1) THEN
+!!jyg       IF (prt_level .ge. 2 .AND. mod(iflag_pbl_split,2) .EQ. 1) THEN
+       IF (prt_level >= 2 .AND. mod(iflag_pbl_split,10) >= 1) THEN
           print *,'debut du splitting de la PBL, wake_s = ', wake_s(:)
           print *,'debut du splitting de la PBL, wake_deltat = ', wake_deltat(:,1)
@@ -3344,5 +3344,5 @@
       !WRITE(*,*) 'd_xt_vdf(iso_eau,1,1),d_q_vdf(1,1)=',d_xt_vdf(iso_eau,1,1),d_q_vdf(1,1)
       !WRITE(*,*) 'bidouille_anti_divergence=',bidouille_anti_divergence
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
 !        WRITE(*,*) 'physiq 2665: d_q_vdf,d_xt_vdf(iso_eau,554,19)=',d_q_vdf(554,19),d_xt_vdf(iso_eau,554,19)
 !        WRITE(*,*) 'd_q_vdf,d_xt_vdf(iso_eau,2,1)=',d_q_vdf(2,1),d_xt_vdf(iso_eau,2,1)
@@ -3369,12 +3369,12 @@
       enddo  !i=1,klon
       endif !if (iso_eau.gt.0) THEN
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+      IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
         do i=1,klon 
          do k=1,klev 
-            if (q_seri(i,k).gt.ridicule) THEN
-               if (iso_verif_o18_aberrant_nostop( &
+            IF (q_seri(i,k).gt.ridicule) THEN
+               IF (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 4177, apres pbl_surface').eq.1) THEN
+                    'physiq 4177, apres pbl_surface').EQ.1) THEN
                   WRITE(*,*) 'i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   stop
@@ -3383,5 +3383,5 @@
           enddo !k=1,klev
          enddo  !i=1,klon
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+        endif !if ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
         !WRITE(*,*) 'physiq tmp 2689'
 #endif
@@ -3661,5 +3661,5 @@
         enddo !do i = 1, klon
        enddo    !do k = 1, klev 
-      if (iso_eau.gt.0) THEN
+      IF (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_vect2D( &
                  xt_seri,q_seri, &
@@ -3669,17 +3669,17 @@
                  'physiq 2704b, wake_deltaq',ntraciso,klon,klev)
       endif
-      if (iso_HDO.gt.0) THEN
+      IF (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
                  'physiq 2709, avant calcul undi',ntraciso,klon,klev)
       endif
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+      IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
         do k = 1, klev
         do i = 1, klon
-            if (q_seri(i,k).gt.ridicule) THEN
-               if (iso_verif_o18_aberrant_nostop( &
+            IF (q_seri(i,k).gt.ridicule) THEN
+               IF (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 2947, avant calcul undi').eq.1) THEN
+                    'physiq 2947, avant calcul undi').EQ.1) THEN
                   WRITE(*,*) 'physic 3315: i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   stop
@@ -3688,5 +3688,5 @@
         enddo !do i = 1, klon
         enddo !do k = 1, klev
-        endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+        endif !if ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif 
 #endif   
@@ -3710,13 +3710,13 @@
                 enddo
 #ifdef ISOVERIF
-                if (iso_eau.gt.0) THEN
+                IF (iso_eau.gt.0) THEN
                   CALL iso_verif_egalite(wake_deltaq(i,k),wake_deltaxt(iso_eau,i,k),'physiq 3337')
                   CALL iso_verif_egalite(q_w(i,k),xt_w(iso_eau,i,k),'physiq 3338')
                 endif
-                if (iso_HDO.gt.0) THEN
-                  if ((iso_verif_aberrant_enc_choix_nostop(xt_x(iso_hdo,i,k),q_x(i,k), &
-                        ridicule,deltalim,'physic 3462a xt_x').eq.1).or. &
+                IF (iso_HDO.gt.0) THEN
+                  IF ((iso_verif_aberrant_enc_choix_nostop(xt_x(iso_hdo,i,k),q_x(i,k), &
+                        ridicule,deltalim,'physic 3462a xt_x').EQ.1).OR. &
                         (iso_verif_aberrant_enc_choix_nostop(xt_w(iso_hdo,i,k),q_w(i,k), &
-                        ridicule,deltalim,'physic 3462b xt_w').eq.1)) THEN
+                        ridicule,deltalim,'physic 3462b xt_w').EQ.1)) THEN
                      WRITE(*,*) 'i,k=',i,k
                      WRITE(*,*) 'q_x(i,k),q_seri(i,k),wake_s(i),wake_deltaq(i,k)=', &
@@ -3748,5 +3748,5 @@
 
 #ifdef ISOVERIF
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
            DO k=1,klev
             DO i=1,klon
@@ -3835,5 +3835,5 @@
            enddo ! do ixt=1,ntraciso 
            CALL iso_verif_positif(q_seri(i,k),'physic 3133a')
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix( &
                  xt_seri(iso_eau,i,k),q_seri(i,k), &
@@ -3846,16 +3846,16 @@
                 'physic 2559c',errmax,errmaxrel)
            endif !if (iso_eau.gt.0) THEN
-           if (iso_HDO.gt.0) THEN
-             if (q_seri(i,k).gt.ridicule) THEN
+           IF (iso_HDO.gt.0) THEN
+             IF (q_seri(i,k).gt.ridicule) THEN
               CALL iso_verif_aberrant_encadre( &
                  xt_seri(iso_hdo,i,k)/q_seri(i,k), &
                 'physic 2657a')
              endif !if (q_seri(i,k).gt.ridicule) THEN
-             if (q_x(i,k).gt.ridicule) THEN
+             IF (q_x(i,k).gt.ridicule) THEN
               CALL iso_verif_aberrant_encadre( &
                  xt_x(iso_hdo,i,k)/q_x(i,k), &
                 'physic 2657b')
              endif !if (q_x(i,k).gt.ridicule) THEN
-             if (q_w(i,k).gt.ridicule) THEN
+             IF (q_w(i,k).gt.ridicule) THEN
               CALL iso_verif_aberrant_encadre( &
                  xt_w(iso_hdo,i,k)/q_w(i,k), &
@@ -3863,6 +3863,6 @@
              endif !if (q_x(i,k).gt.ridicule) THEN
            endif !if (iso_HDO.gt.0) THEN
-           if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
-            if (q_seri(i,k).gt.ridicule) THEN
+           IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
+            IF (q_seri(i,k).gt.ridicule) THEN
              CALL iso_verif_O18_aberrant( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
@@ -3870,23 +3870,23 @@
                     'physiq 3285')
             endif ! if (q_seri(i,k).gt.ridicule) THEN
-           endif ! if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
-           if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-             if ((q_seri(i,k).gt.ridicule).and.(k.lt.nlevmaxO17)) THEN
+           endif ! if ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
+           IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+             IF ((q_seri(i,k).gt.ridicule).AND.(k.lt.nlevmaxO17)) THEN
               CALL iso_verif_aberrant_o17(xt_seri(iso_o17,i,k) &
                  /q_seri(i,k),xt_seri(iso_o18,i,k) &
                  /q_seri(i,k),'physiq 2781: avat clmain')
              endif !if (q_seri(i,k).gt.ridicule) THEN
-           endif ! if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+           endif ! if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #ifdef ISOTRAC 
            CALL iso_verif_traceur(xt_seri(1,i,k),'physiq 2975a')
            CALL iso_verif_traceur(xt_x(1,i,k),'physiq 2975b')
            CALL iso_verif_traceur(xt_w(1,i,k),'physiq 2975b')
-           if (iso_verif_tracpos_choix_nostop(xt_seri(1,i,k), &
+           IF (iso_verif_tracpos_choix_nostop(xt_seri(1,i,k), &
                  'physiq 3060, avantconcvl',1e-5) &
-                 .eq.1) THEN
+                 .EQ.1) THEN
               WRITE(*,*) 'i,k=',i,k
               stop
             endif !if (iso_verif_tracpos_choix_nostop(xt_seri(1,i,k),
-            if (option_tmin.eq.1) THEN
+            IF (option_tmin.EQ.1) THEN
                CALL iso_verif_trac17_q_deltaD(xt_seri(1,i,k), &
                  'physiq 1456, avant concvl')
@@ -3897,5 +3897,5 @@
 #endif
 !ISOVERIF         
-          if ((bidouille_anti_divergence).and. &
+          IF ((bidouille_anti_divergence).AND. &
                  (iso_eau.gt.0)) THEN
            do k=1,klev
@@ -3906,5 +3906,5 @@
             enddo !do i=1,klon
            enddo !do k=1,klev
-          endif !if ((bidouille_anti_divergence).and. &       
+          endif !if ((bidouille_anti_divergence).AND. &
 #endif 
           !jyg<
@@ -3975,10 +3975,10 @@
       CALL iso_verif_noNaN_vect2D(xt_seri, &
                  'physiq 3203b apres conv',ntraciso,klon,klev)
-      if (iso_HDO.gt.0) THEN
+      IF (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
                  'physiq 3619a',ntraciso,klon,klev)
       endif
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+      IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
       CALL iso_verif_O18_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
@@ -4119,5 +4119,5 @@
           ! où i n'est pas un point convectif et donc ibas_con(i)=0
           ! c'est un pb indépendant des isotopes
-          if (ibas_con(i) > 0) THEN
+          IF (ibas_con(i) > 0) THEN
              ema_pcb(i)  = paprs(i,ibas_con(i))
           else
@@ -4286,10 +4286,10 @@
 #ifdef ISOVERIF
      WRITE(*,*) 'physiq 3425: apres convection'
-      if (iso_HDO.gt.0) THEN
+      IF (iso_HDO.gt.0) THEN
       CALL iso_verif_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
                  'physiq 3691a',ntraciso,klon,klev)
       endif
-      if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+      IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
       CALL iso_verif_O18_aberrant_enc_vect2D( &
                  xt_seri,q_seri, &
@@ -4377,5 +4377,5 @@
         DO k = 1,klev
           DO i=1,klon
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(q_seri(i,k),xt_seri(iso_eau,i,k),'physiq 3981a')
               CALL iso_verif_egalite(dq_dwn(i,k),dxt_dwn(iso_eau,i,k),'physiq 3981b')
@@ -4419,5 +4419,5 @@
         DO k = 1,klev
           DO i=1,klon
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite(d_q_wake(i,k),d_xt_wake(iso_eau,i,k),'physiq 4023a')
               CALL iso_verif_egalite(q_x(i,k),xt_x(iso_eau,i,k),'physiq 4023b')
@@ -4520,27 +4520,27 @@
          do k=1,klev
            do i=1,klon
-             if (iso_eau.gt.0) THEN
+             IF (iso_eau.gt.0) THEN
                 CALL iso_verif_egalite_choix(xt_seri(iso_eau,i,k), &
                        q_seri(i,k),'physiq 2765',errmax,errmaxrel)
              endif !if (iso_eau.gt.0) THEN
-             if (iso_HDO.gt.0) THEN
-               if (q_seri(i,k).gt.ridicule) THEN
+             IF (iso_HDO.gt.0) THEN
+               IF (q_seri(i,k).gt.ridicule) THEN
                   CALL iso_verif_aberrant_encadre(xt_seri(iso_HDO,i,k)/ &
                        q_seri(i,k),'physiq 2770')
                endif !if (abs(d_q_ajs(i,k)).gt.ridicule) THEN
              endif !if (iso_HDO.gt.0) THEN
-             if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
-               if (q_seri(i,k).gt.ridicule) THEN
-                 if (iso_verif_o18_aberrant_nostop( &
+             IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
+               IF (q_seri(i,k).gt.ridicule) THEN
+                 IF (iso_verif_o18_aberrant_nostop( &
                     xt_seri(iso_HDO,i,k)/q_seri(i,k), &
                     xt_seri(iso_O18,i,k)/q_seri(i,k), &
-                    'physiq 3978, avant calltherm').eq.1) THEN
+                    'physiq 3978, avant calltherm').EQ.1) THEN
                   WRITE(*,*) 'physic 4115: i,k,q_seri(i,k)=',i,k,q_seri(i,k)
                   stop
                  endif !  if (iso_verif_o18_aberrant_nostop 
                endif !if (q_seri(i,k).gt.errmax) THEN
-             endif !if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
-             if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-               if ((q_seri(i,k).gt.ridicule).and.(k.lt.nlevmaxO17)) THEN
+             endif !if ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
+             IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+               IF ((q_seri(i,k).gt.ridicule).AND.(k.lt.nlevmaxO17)) THEN
                  CALL iso_verif_aberrant_o17(xt_seri(iso_o17,i,k) &
                  /q_seri(i,k),xt_seri(iso_o18,i,k) &
@@ -4550,7 +4550,7 @@
 #ifdef ISOTRAC      
         CALL iso_verif_traceur(xt_seri(1,i,k),'physiq 3389')
-        if (iso_verif_tracpos_choix_nostop(xt_seri(1,i,k), &
+        IF (iso_verif_tracpos_choix_nostop(xt_seri(1,i,k), &
                  'physiq 3481, avant ajsec',1e-5) &
-                 .eq.1) THEN
+                 .EQ.1) THEN
               WRITE(*,*) 'i,k=',i,k
 #ifdef ISOVERIF
@@ -4565,5 +4565,5 @@
 #endif
 !#ifdef ISOVERIF         
-       if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) THEN
+       IF ((iso_eau.gt.0).AND.(bidouille_anti_divergence)) THEN
         do k=1,klev   
         do i=1,klon
@@ -4575,5 +4575,5 @@
                   klon,klev)
 #endif        
-      endif !if ((iso_eau.gt.0).and.(bidouille_anti_divergence)) THEN
+      endif !if ((iso_eau.gt.0).AND.(bidouille_anti_divergence)) THEN
 #endif
 !#ifdef ISO      
@@ -4603,5 +4603,5 @@
 ! Tests Fredho, instensibilite au pas de temps -------------------------------
 ! A detruire en 2024 une fois les tests documentes et les choix faits        !
-          if (iflag_thermals_tenv /10 == 0 ) then                            !
+          IF (iflag_thermals_tenv /10 == 0 ) then                            !
             do k=1,klev                                                      !
                do i=1,klon                                                   !
@@ -4615,5 +4615,5 @@
                enddo                                                         !
             enddo                                                            !
-          else if (iflag_thermals_tenv / 10 == 2 ) then                      !
+          ELSE IF (iflag_thermals_tenv / 10 == 2 ) then                      !
             do k=1,klev                                                      !
                do i=1,klon                                                   !
